#!/system/bin/sh

NAME="Disable V-sync"
VERSION="1.0.0 | DisableVsync"
ANDROIDVERSION=$(getprop ro.build.version.release)
DEVICE=$(getprop ro.product.device)
MANUFACTURER=$(getprop ro.product.manufacturer)
DATE=$(date)

sleep 2
echo "
░█▀▀▄ ▀█▀ ░█▀▀▀█ ─█▀▀█ ░█▀▀█ ░█─── ░█▀▀▀ 
░█─░█ ░█─ ─▀▀▀▄▄ ░█▄▄█ ░█▀▀▄ ░█─── ░█▀▀▀ 
░█▄▄▀ ▄█▄ ░█▄▄▄█ ░█─░█ ░█▄▄█ ░█▄▄█ ░█▄▄▄"
echo ""
echo "
░█──░█ ── ░█▀▀▀█ ░█──░█ ░█▄─░█ ░█▀▀█ 
─░█░█─ ▀▀ ─▀▀▀▄▄ ░█▄▄▄█ ░█░█░█ ░█─── 
──▀▄▀─ ── ░█▄▄▄█ ──░█── ░█──▀█ ░█▄▄█"
echo ""
sleep 2

echo "==============================="
echo "   $NAME"
echo "   Version : $VERSION"
echo "   Android : ${ANDROIDVERSION:-Unknown}"
echo "   Device  : ${DEVICE:-Unknown}"
echo "   Maker   : ${MANUFACTURER:-Unknown}"
echo "   Date    : $DATE"
echo "==============================="



echo "[$NAME] Optimization⚡."
cmd notification post -S bigtext -t 'Disable V-sync' '⚡' " Tweaks Running"